Displaying 9 results from an estimated 9 matches for "sshadd".
Did you mean:
ssha
2015 Jul 29
2
[PATCH] ssh: Add option to present certificates on command line
...="$opts2 -oCertificateFile=$OBJ/cert_user_key1_1.pub"
+ ${SSH} $opts3 somehost exit 5$p
+ r=$?
+ if [ $r -ne 5$p ]; then
+ fail "ssh failed with trusted cert in config in protocol $p"
+ fi
+done
+
+#next, using an agent in combination with the keys
+SSH_AUTH_SOCK=/nonexistent ${SSHADD} -l > /dev/null 2>&1
+if [ $? -ne 2 ]; then
+ fatal "ssh-add -l did not fail with exit code 2"
+fi
+
+trace "start agent"
+eval `${SSHAGENT} -s` > /dev/null
+r=$?
+if [ $r -ne 0 ]; then
+ fatal "could not start ssh-agent: exit code $r"
+fi
+
+# add private...
2003 Jun 20
0
[PATCH] Regression test portabilization.
...DIR)$(mandir)/$(mansubdir)8/ssh-keysign.8
-rm -f $(DESTDIR)$(mandir)/$(mansubdir)1/slogin.1
+
+tests: $(TARGETS)
+ BUILDDIR=`pwd`; \
+ TEST_SSH_SSH="$${BUILDDIR}/ssh"; \
+ TEST_SSH_SSHD="$${BUILDDIR}/sshd"; \
+ TEST_SSH_SSHAGENT="$${BUILDDIR}/ssh-agent"; \
+ TEST_SSH_SSHADD="$${BUILDDIR}/ssh-add"; \
+ TEST_SSH_SSHKEYGEN="$${BUILDDIR}/ssh-keygen"; \
+ TEST_SSH_SSHKEYSCAN="$${BUILDDIR}/ssh-keyscan"; \
+ TEST_SSH_SFTP="$${BUILDDIR}/sftp"; \
+ TEST_SSH_SFTPSERVER="$${BUILDDIR}/sftp-server"; \
+ cd $(srcdir)/regress || exit...
2016 Dec 27
2
[Bug 2654] New: regress/agent-getpeereid.sh uses wrong ssh-add program
...: P5
Component: Regression tests
Assignee: unassigned-bugs at mindrot.org
Reporter: cjwatson at debian.org
Created attachment 2921
--> https://bugzilla.mindrot.org/attachment.cgi?id=2921&action=edit
Use correct ssh-add in agent-getpeereid test
It should use ${SSHADD} as other tests do, rather than resolving
ssh-add via $PATH. Patch attached.
--
You are receiving this mail because:
You are watching the assignee of the bug.
2002 Jul 22
9
[Patch] Improve portability of regression tests
...enssh/regress/runtests.sh,v
retrieving revision 1.1
diff -u -r1.1 runtests.sh
--- regress/runtests.sh 1 May 2002 03:17:35 -0000 1.1
+++ regress/runtests.sh 22 Jul 2002 12:33:42 -0000
@@ -1,13 +1,45 @@
#!/bin/sh
-TEST_SSH_SSH=../ssh
-TEST_SSH_SSHD=../sshd
-TEST_SSH_SSHAGENT=../ssh-agent
-TEST_SSH_SSHADD=../ssh-add
-TEST_SSH_SSHKEYGEN=../ssh-keygen
-TEST_SSH_SSHKEYSCAN=../ssh-keyscan
-TEST_SSH_SFTP=../sftp
-TEST_SSH_SFTPSERVER=../sftp-server
+pwd=`pwd`
+bindir=`dirname $pwd`
+PATH="$bindir:$PATH"
+export PATH
-pmake
+TEST_SSH_TRACE=no # Enable for more detail in test
+TEST_SSH_QUIET=no...
2011 Apr 07
6
new option ssh-add -v to verify if key is loaded into the agent
...ion of attached patch?
Cheers
Konrad
--
konrad bucheli
security engineer
open systems ag
raeffelstrasse 29
ch-8045 zurich
t: +41 44 455 74 00
f: +41 44 455 74 01
kb at open.ch
http://www.open.ch
-------------- next part --------------
A non-text attachment was scrubbed...
Name: openssh-5.8p1-sshadd-verify.patch
Type: text/x-patch
Size: 9028 bytes
Desc: not available
URL: <http://lists.mindrot.org/pipermail/openssh-unix-dev/attachments/20110407/68929ae4/attachment.bin>
2005 Mar 01
7
[Bug 989] openssh-3.9p1 on Solaris 8 - multiplex.sh NOK
...mi
USER=root
OBJ=/opt/SSH/openssh-3.9p1/regress
+ [ x/opt/SSH/openssh-3.9p1/regress = x ]
+ [ ! -d /opt/SSH/openssh-3.9p1/regress ]
SCRIPT=multiplex.sh
+ [ xmultiplex.sh = x ]
+ [ ! -f multiplex.sh ]
+ /bin/sh -n multiplex.sh
+ true
+ unset SSH_AUTH_SOCK
SSH=ssh
SSHD=sshd
SSHAGENT=ssh-agent
SSHADD=ssh-add
SSHKEYGEN=ssh-keygen
SSHKEYSCAN=ssh-keyscan
SFTP=sftp
SFTPSERVER=/usr/libexec/openssh/sftp-server
SCP=scp
+ [ x != x ]
+ [ x != x ]
+ [ x != x ]
+ [ x != x ]
+ [ x != x ]
+ [ x != x ]
+ [ x != x ]
+ [ x != x ]
+ [ x != x ]
+ which sshd
SSHD=/opt/SSH/openssh-3.9p1/regress/../sshd
+...
2016 Dec 31
2
Baffling regress/forwarding.sh failure, new in 7.4p1
...rwarding.sh
+ true
+ unset SSH_AUTH_SOCK
+ dirname /tmp/autopkgtest-virt-lxc.shared.hhquaatj/downtmp/autopkgtest_tmp/user/tree/regress/forwarding.sh
+ SRC=/tmp/autopkgtest-virt-lxc.shared.hhquaatj/downtmp/autopkgtest_tmp/user/tree/regress
+ SSH=ssh
+ SSHD=sshd
+ SSHAGENT=ssh-agent
+ SSHADD=ssh-add
+ SSHKEYGEN=ssh-keygen
+ SSHKEYSCAN=ssh-keyscan
+ SFTP=sftp
+ SFTPSERVER=/usr/libexec/openssh/sftp-server
+ SCP=scp
+ PLINK=plink
+ PUTTYGEN=puttygen
+ CONCH=conch
+ [ x != x ]
+ [ x != x ]
+ [ x != x ]
+ [ x != x ]
+ [ x != x ]
+ [ x != x ]
+ [ x != x ]
+ [...
2020 Jul 21
11
[RFC PATCH 0/4] PAM module for ssh-agent user authentication
Hi,
The main (and probably the only) use case of this PAM module is to let
sudo authenticate users via their ssh-agent, therefore without having
to type any password and without being tempted to use the NOPASSWD sudo
option for such convenience.
The principle is originally implemented by an existing module [0][1]
and many pages that explain how to use it for such purpose can be
found online.
2010 Feb 27
24
Call for testing: OpenSSH-5.4
Hi,
OpenSSH 5.4 is almost ready for release, so we would appreciate testing
on as many platforms and systems as possible. This is a big release,
with a number of major new features and many bug fixes.
Snapshot releases for portable OpenSSH are available from
http://www.mindrot.org/openssh_snap/
The OpenBSD version is available in CVS HEAD:
http://www.openbsd.org/anoncvs.html
Portable OpenSSH